package be.msyben.vinylManager.tools.discogs.entities;

import java.io.Serializable;

public final class Video implements Serializable {
    private static final long serialVersionUID = -8562205743191722337L;
    private String description;
    private int duration;
    private boolean embed;
    private String title;
    private String uri;

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public int getDuration() {
        return duration;
    }

    public void setDuration(int duration) {
        this.duration = duration;
    }

    public boolean isEmbed() {
        return embed;
    }

    public void setEmbed(boolean embed) {
        this.embed = embed;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getUri() {
        return uri;
    }

    public void setUri(String uri) {
        this.uri = uri;
    }

    @Override
    public String toString() {
        return "Video{" + "description=" + description + ", duration=" + duration + ", embed=" + embed + ", title=" + title + ", uri=" + uri + '}';
    }
    
    
}
